
%define oname		imobiledevice
%define major		6
%define api		       1.0
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname %{oname} -d

Name:		libimobiledevice
Version:	1.3.0
Release:	%mkrel 4
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
Patch1:		0001-Fixed-debugserver_pxi-PyString_AsString-compatibility-with-Python3.patch
Patch2:		0002-mobilebackup2-Set-DeviceLink-version-to-400-to-suppo.patch
Patch3:		0003-screenshotr-Set-DeviceLink-version-to-400-to-support.patch
Patch4:		0004-debugserver-Fix-service-startup-for-iOS-14b4.patch
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libplist++-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libusbmuxd-2.0) >= 2.0.2
BuildRequires:	pkgconfig(openssl) >= 1.0
Obsoletes: libimobiledevice

Requires: usbmuxd-dlx

%description
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to
easily access the device's filesystem, retrieve information about the device
and it's internals, backup/restore the device, manage SpringBoard® icons,
manage installed applications, retrieve addressbook/calendars/notes and
bookmarks and (using libgpod) synchronize music and video to the device.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

Obsoletes: lib64imobiledevice6
Provides: lib64imobiledevice6 = %{version}-%{release}

%description -n %{libname}
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

#------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}



%description -n %{libnamedev}
Files for development with %{name}.

#------------------------------------------------------------------------------

%package -n	python3-imobiledevice
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	swig
%{?python_provide:%python_provide python3-imobiledevice}

%description -n python3-imobiledevice
Python 3 bindings for %{name}.

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
               --disable-static \
               PYTHON=%{__python3} \
               CYTHON=%{_bindir}/python3-cython
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/idevice_id
%{_bindir}/idevicedebug
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicenotificationproxy
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevicename
%{_bindir}/idevicecrashreport
%{_bindir}/idevicesetlocation
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so
%{_includedir}/%{name}/

%files -n python3-imobiledevice
%{python3_sitearch}/%{oname}.so


%changelog
* Wed Jul 27 2022 TerryN <terryn94 at gmail.com> 1.3.0-4pclos2022
- rebuild for python 3.10

* Wed May 05 2021 tex - 1.3.0-3pclos2021
- rebuild against updates

* Wed May 05 2021 tex - 1.3.0-2pclos2021
- rebuild against updates

* Tue May 04 2021 tex - 1.3.0-1pclos2021
- new version
